package ovh.herisson.Clyde.Tables;

import jakarta.persistence.*;


@Entity
public class StorageFile {

    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;

    private String name;

    private String url;

    private FileType fileType;


    //Pour lier un user ou une demande d'inscription au fichier
    @ManyToOne
    @JoinColumn(name = "user")
    private User user;

    @ManyToOne
    @JoinColumn(name = "inscriptionrequest")
    private InscriptionRequest request;

    public StorageFile(String name, String url, FileType fileType, User user, InscriptionRequest request){
        this.name = name;
        this.url = url;
        this.fileType = fileType;
        this.user = user;
        this.request = request;
    }

    public StorageFile(){}


    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public FileType getFileType() {
        return fileType;
    }

    public void setFileType(FileType fileType) {
        this.fileType = fileType;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public User getUser() {
        return user;
    }

    public void setRequest(InscriptionRequest request) {
        this.request = request;
    }

    public InscriptionRequest getRequest() {
        return request;
    }
}
